
/*            ARDUI_Hitachi_SK
 *            ----------------   
 *  Ce programme permet la commande du zoom
    des cameras HITACHI série SK en RS232 8E1
    La mise au point est automatique.
    
 Information sur Mon site  http://f5mna.free.fr
 09/12/2015 
  
*/

const int ZoomPlus = 10;
const int ZoomMoins = 11;
int valPlus, valMoins,pause;


void setup() {
 Serial.begin (4800, SERIAL_8E1);  
  pinMode (ZoomPlus, INPUT);
  pinMode (ZoomMoins, INPUT);  
  pause = 0;

//setup Camera
Serial.print (":WFCCB01");//Zoom avance continue
delay (10);
Serial.print (":WFDFC10");//Zoom vitesse normale
delay (10);
Serial.print (":WFCCB40");//
delay (10);
Serial.print (":WFCBBA8");//Auto focus ON 
delay (10);

}

void loop() {

     valPlus = digitalRead(ZoomPlus);   
     if (valPlus == 1) {
      Serial.print (":WFCBB9B");
      pause = 0;
     }

     valMoins = digitalRead(ZoomMoins);  
     if (valMoins == 1){
      Serial.print (":WFCBB99");
      pause = 0;
     }
      
        
     if ((valPlus == 0) and (valMoins == 0) and (pause == 0)){
     Serial.print (":WFCBBFE");   //  stop 
     Serial.println (":WFCBBA8"); //  Auto focus on
     delay (300);                 //  Attente mise au point
     pause = 1;
     }   
 }
